pub const c = @cImport({
    @cInclude("raylib.h");
});

const std = @import("std");

//const Self = @This();

pub fn initWindow(width: i32, height: i32, title: [*c]const u8, fps: i32) void {
    c.InitWindow(width, height, title);
    c.SetTargetFPS(fps);
}

pub fn windowShouldClose() bool {
    return c.WindowShouldClose();
}

pub fn closeWindow() void {
    c.CloseWindow();
}

pub fn beginDrawing() void {
    c.BeginDrawing();
}

pub fn endDrawing() void {
    c.EndDrawing();
}

pub fn drawText(text: [*c]const u8, x: i32, y: i32, fontSize: i32, color: [4]u8) void {
    c.DrawText(text, x, y, fontSize, .{ .r = color[0], .g = color[1], .b = color[2], .a = color[3] });
}

pub fn clearBackground(color: [4]u8) void {
    c.ClearBackground(.{ .r = color[0], .g = color[1], .b = color[2], .a = color[3] });
}

pub fn drawTriangle(v1: [2]f32, v2: [2]f32, v3: [2]f32, color: [4]u8) void {
    c.DrawTriangle(
        .{ .x = v1[0], .y = v1[1] },
        .{ .x = v2[0], .y = v2[1] },
        .{ .x = v3[0], .y = v3[1] },
        .{ .r = color[0], .g = color[1], .b = color[2], .a = color[3] },
    );
}

pub fn getScreenWidth() i32 {
    return c.GetScreenWidth();
}

pub fn getScreenHeight() i32 {
    return c.GetScreenHeight();
}
